org.apache.olingo.odata2.api.edm.provider

## Class SimpleProperty

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.Property
  - - org.apache.olingo.odata2.api.edm.provider.SimpleProperty

-     public class SimpleProperty
      extends Property

  Objects of this class represent a simple property.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleProperty()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmSimpleTypeKind` | `getType()`
    `SimpleProperty` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `Property`
    `SimpleProperty` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `Property`
    `SimpleProperty` | `setCustomizableFeedMappings(CustomizableFeedMappings customizableFeedMappings)` Sets the `CustomizableFeedMappings` for this `Property`
    `SimpleProperty` | `setDocumentation(Documentation documentation)` Sets the `Documentation` for this `Property`
    `SimpleProperty` | `setFacets(EdmFacets facets)` Sets the `Facets` for this `Property`
    `SimpleProperty` | `setMapping(Mapping mapping)` Sets the `Mapping` for this `Property`
    `SimpleProperty` | `setMimeType(String mimeType)` Sets the mime type for this `Property`
    `SimpleProperty` | `setName(String name)` Sets the name for this `Property`
    `SimpleProperty` | `setType(EdmSimpleTypeKind type)` Sets the `EdmSimpleTypeKind` for this `Property`.

    - ### Methods inherited from class org.apache.olingo.odata2.api.edm.provider.Property

      `getAnnotationAttributes, getAnnotationElements, getCustomizableFeedMappings, getDocumentation, getFacets, getMapping, getMimeType, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleProperty

          public SimpleProperty()

  - ### Method Detail

    - #### getType

          public EdmSimpleTypeKind getType()

      Returns:
        `EdmSimpleTypeKind` of this property

    - #### setType

          public SimpleProperty setType(EdmSimpleTypeKind type)

      Sets the `EdmSimpleTypeKind` for this `Property`.
      Parameters:
        `type` -
      Returns:
        `Property` for method chaining

    - #### setName

          public SimpleProperty setName(String name)

      Description copied from class: `Property`
      Sets the name for this `Property`
      Overrides:
        `setName` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setFacets

          public SimpleProperty setFacets(EdmFacets facets)

      Description copied from class: `Property`
      Sets the `Facets` for this `Property`
      Overrides:
        `setFacets` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setCustomizableFeedMappings

          public SimpleProperty setCustomizableFeedMappings(CustomizableFeedMappings customizableFeedMappings)

      Description copied from class: `Property`
      Sets the `CustomizableFeedMappings` for this `Property`
      Overrides:
        `setCustomizableFeedMappings` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setMimeType

          public SimpleProperty setMimeType(String mimeType)

      Description copied from class: `Property`
      Sets the mime type for this `Property`
      Overrides:
        `setMimeType` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setMapping

          public SimpleProperty setMapping(Mapping mapping)

      Description copied from class: `Property`
      Sets the `Mapping` for this `Property`
      Overrides:
        `setMapping` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setDocumentation

          public SimpleProperty setDocumentation(Documentation documentation)

      Description copied from class: `Property`
      Sets the `Documentation` for this `Property`
      Overrides:
        `setDocumentation` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setAnnotationAttributes

          public SimpleProperty setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Description copied from class: `Property`
      Sets the List of `AnnotationAttribute` for this `Property`
      Overrides:
        `setAnnotationAttributes` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setAnnotationElements

          public SimpleProperty setAnnotationElements(List<AnnotationElement> annotationElements)

      Description copied from class: `Property`
      Sets the List of `AnnotationElement` for this `Property`
      Overrides:
        `setAnnotationElements` in class `Property`
      Returns:
        `Property` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.